Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2096813002: media/vpx: Add support for VP9 alpha channel (Closed)

Created:
3 years, 2 months ago by vignesh
Modified:
3 years, 2 months ago
Reviewers:
fgalligan1, DaleCurtis
CC:
chromium-reviews, feature-media-reviews_chromium.org, miu+watch_chromium.org, posciak+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

media/vpx: Add support for VP9 alpha channel TEST=<new pipeline integration test> Committed: https://crrev.com/f12d64fb2c759a2e62653b08b663a79299f63d4c Cr-Commit-Position: refs/heads/master@{#402649}

Patch Set 1 #

Total comments: 2

Patch Set 2 : add test files for real #

Unified diffs Side-by-side diffs Delta from patch set Stats (+176 lines, -54 lines) Patch
M media/base/video_frame.h View 1 chunk +17 lines, -0 lines 0 comments Download
M media/base/video_frame.cc View 1 chunk +42 lines, -0 lines 0 comments Download
M media/filters/vpx_video_decoder.h View 2 chunks +14 lines, -0 lines 0 comments Download
M media/filters/vpx_video_decoder.cc View 7 chunks +87 lines, -54 lines 0 comments Download
A media/test/data/bear-vp9a.webm View 1 Binary file 0 comments Download
A media/test/data/bear-vp9a-odd-dimensions.webm View 1 Binary file 0 comments Download
M media/test/pipeline_integration_test.cc View 1 1 chunk +16 lines, -0 lines 0 comments Download

Messages

Total messages: 21 (8 generated)
vignesh
This is pretty much the same CL as https://codereview.chromium.org/1561703002/ which was reverted because of a ...
3 years, 2 months ago (2016-06-23 21:23:52 UTC) #2
ddorwin
Is there a BUG for this? Is there a way for applications to detect that ...
3 years, 2 months ago (2016-06-23 21:28:02 UTC) #3
vignesh
On 2016/06/23 21:28:02, ddorwin wrote: > Is there a BUG for this? None that i'm ...
3 years, 2 months ago (2016-06-23 21:30:09 UTC) #4
DaleCurtis
lgtm, as you say this is no different than the vp8a we already have, in ...
3 years, 2 months ago (2016-06-23 21:41:58 UTC) #5
vignesh
Also added the test files that i missed out in PS1. https://codereview.chromium.org/2096813002/diff/1/media/test/pipeline_integration_test.cc File media/test/pipeline_integration_test.cc (right): ...
3 years, 2 months ago (2016-06-23 21:44:31 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2096813002/20001
3 years, 2 months ago (2016-06-27 16:55:30 UTC) #8
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/246005)
3 years, 2 months ago (2016-06-27 19:24:39 UTC) #10
vignesh
CQ dry run looks ok. Ok to land this?
3 years, 2 months ago (2016-06-27 19:27:53 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2096813002/20001
3 years, 2 months ago (2016-06-28 17:37:35 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/254087)
3 years, 2 months ago (2016-06-28 20:04:28 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2096813002/20001
3 years, 2 months ago (2016-06-28 22:15:35 UTC) #18
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 2 months ago (2016-06-29 01:58:34 UTC) #19
commit-bot: I haz the power
3 years, 2 months ago (2016-06-29 02:00:48 UTC) #21
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/f12d64fb2c759a2e62653b08b663a79299f63d4c
Cr-Commit-Position: refs/heads/master@{#402649}

Powered by Google App Engine
This is Rietveld 408576698